# AirportFTA Struct Reference

Internal structure used in openttd - Finite sTate mAchine --> FTA. More...

`#include <airport.h>`

## Data Fields
AirportFTA * | next
| possible extra movement choices from this position
uint64 | block
| 64 bit blocks (st->airport_flags), should be enough for the most complex airports
byte | position
| the position that an airplane is at
byte | next_position
| next position from this position
byte | heading
| heading (current orders), guiding an airplane to its target on an airport

## Detailed Description

Internal structure used in openttd - Finite sTate mAchine --> FTA.

Definition at line 221 of file airport.h.

The documentation for this struct was generated from the following file:

- src/airport.h